> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Conversation Summary API

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/automation/api-list)</Badge>

Summarizes the conversation between a user and an agent (AI Agent or human). Accepts a conversation ID or transcript as input and returns an auto-generated summary.

The API uses an open-source LLM fine-tuned and hosted by Kore.ai, trained on a large number of sample conversation transcripts from various fields and industries.

<Note>
  Currently, the API supports transcripts only in English (`en`) and is available only in the US deployment.
</Note>

| Field             | Value                                                                                                                            |
| ----------------- | -------------------------------------------------------------------------------------------------------------------------------- |
| **Method**        | POST                                                                                                                             |
| **Endpoint**      | `https://{{host}}/api/public/streams/{{streamId}}/conversationSummary`                                                           |
| **Content Type**  | `application/json`                                                                                                               |
| **Authorization** | `auth: {{JWT}}` See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction/#generating-the-jwt-token). |
| **API Scope**     | App Builder: Conversation Summary                                                                                                |

## Path Parameters

| Parameter  | Required | Description                                                               |
| ---------- | -------- | ------------------------------------------------------------------------- |
| `host`     | Required | Environment URL, for example, `https://platform.kore.ai`.                 |
| `streamId` | Required | Stream ID or Bot ID. Access it from the General Settings page of the bot. |

## Sample Request

**With Conversation ID as Input:**

```bash theme={null}
curl -X POST 'https://{{host}}/api/public/streams/{{streamId}}/conversationSummary' \
--header 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
--header 'Content-Type: application/json' \
--data '{
    "lang": "en",
    "inputMode": {
        "conversationId": "64808537ba90cb4b3841xxxx"
    }
}'
```

**With Transcript as Input:**

```bash theme={null}
curl -X POST 'https://{{host}}/api/public/streams/{{streamId}}/conversationSummary' \
--header 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
--header 'Content-Type: application/json' \
--data '{
    "lang": "en",
    "inputMode": {
        "transcript": "Agent: Thank you for calling. How can I help you? Consumer: I have an issue with my DVR box..."
    }
}'
```

## Request Body Parameters

| Parameter   | Required | Description                                                                                                           |
| ----------- | -------- | --------------------------------------------------------------------------------------------------------------------- |
| `language`  | Required | The language for understanding the transcript and generating the summary. Currently only `en` (English) is supported. |
| `inputMode` | Required | One of: `conversationId` (a valid conversation session ID) or `transcript` (the conversation transcript).             |

## Sample Response

```json theme={null}
{
    "ConversationSummary": "Consumer was having a DVD issue. He has two boxes. The TV part is fine. The list doesn't work at all on the secondary box.",
    "time": "2023-06-09T07:45:47.940Z"
}
```

## Response Body Parameters

| Parameter             | Description                                     |
| --------------------- | ----------------------------------------------- |
| `ConversationSummary` | The auto-generated summary of the conversation. |
| `time`                | Date and time of the summary generation.        |
